# This test looks for error messages from the config-test when the file
# passed to qmail-morercpthosts-cdb is has a main index offset beyond the end
# of the file

${CREATECDB_PATH} -f ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb -n 50 -i 1

echo "${SPAMDYKE_PATH} -ldebug --qmail-morercpthosts-cdb ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SPAMDYKE_PATH} -ldebug --qmail-morercpthosts-cdb ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "WARNING: qmail-morercpthosts-cdb has been changed from the default value of /var/qmail/control/morercpthosts.cdb, this is not recommended and could lead to errors during recipient validation." ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  output=`grep -E "ERROR\(qmail-morercpthosts-cdb\): Record offset within main index slot [0-9]* is beyond the end of the file: [0-9]* bytes, file is [0-9]* bytes" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep "ERROR(qmail-morercpthosts-cdb): CDB file tests failed, is it possible ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb is not a CDB file but instead the text file used as the source to create a CDB file?" ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ ! -z "${output}" ]
    then
      output=`grep "ERROR: Tests complete. Errors detected." ${TMPDIR}/${TEST_NUM}-output.txt`
      if [ ! -z "${output}" ]
      then
        outcome="success"
      else
        echo Failure - tmp/${TEST_NUM}-output.txt:
        cat ${TMPDIR}/${TEST_NUM}-output.txt

        outcome="failure"
      fi
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
