# This test delivers a small test message and looks for the correct qmail status
# code when reject-sender is "not-local" but the sender is local because it's in
# the morercpthosts.cdb file.

export TCPREMOTEIP=11.22.33.44

FROM_DOMAIN=`echo $1 | sed -e "s/^[^@]*@//"`
if [ -f /var/qmail/control/rcpthosts ]
then
  cp /var/qmail/control/rcpthosts ${TMPDIR}/${TEST_NUM}-rcpthosts.bu
fi
if [ -f /var/qmail/control/morercpthosts ]
then
  cp /var/qmail/control/morercpthosts ${TMPDIR}/${TEST_NUM}-morercpthosts.bu
fi
if [ -f /var/qmail/control/morercpthosts.cdb ]
then
  cp /var/qmail/control/morercpthosts.cdb ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb.bu
fi

rm -f /var/qmail/control/rcpthosts /var/qmail/control/morercpthosts /var/qmail/control/morercpthosts.cdb

touch /var/qmail/control/rcpthosts
echo ${FROM_DOMAIN} > /var/qmail/control/morercpthosts
/var/qmail/bin/qmail-newmrh

cat input.txt | sed -e "s/TEST_NUM/${TEST_NUM}/g" -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/$1/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --reject-sender not-local ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --reject-sender not-local ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt

output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo OUTPUT IN tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi

if [ -f ${TMPDIR}/${TEST_NUM}-rcpthosts.bu ]
then
  cp ${TMPDIR}/${TEST_NUM}-rcpthosts.bu /var/qmail/control/rcpthosts
else
  rm -f /var/qmail/control/rcpthosts
fi
if [ -f ${TMPDIR}/${TEST_NUM}-morercpthosts.bu ]
then
  cp ${TMPDIR}/${TEST_NUM}-morercpthosts.bu /var/qmail/control/morercpthosts
else
  rm -f /var/qmail/control/morercpthosts
fi
if [ -f ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb.bu ]
then
  cp ${TMPDIR}/${TEST_NUM}-morercpthosts.cdb.bu /var/qmail/control/morercpthosts.cdb
else
  rm -f /var/qmail/control/morercpthosts.cdb
fi
