# This test looks for an error from the ip-in-rDNS filter when the config file
# specifies a blacklist file, followed by a blank line, followed by a commented-out
# directive.

export TCPREMOTEIP=11.22.33.44

echo "44.33.22.11.in-addr.arpa PTR NORMAL 0 11-22-33-44.dynamic.example.com" > ${TMPDIR}/${TEST_NUM}-dns_config.txt

NAMESERVER_IP=127.0.0.1:`${DNSDUMMY_PATH} -t 30 -f ${TMPDIR}/${TEST_NUM}-dns_config.txt`

echo "ip-in-rdns-keyword-blacklist-file=${TMPDIR}/${TEST_NUM}-keywords.txt" > ${TMPDIR}/${TEST_NUM}-spamdyke.conf
echo "" >> ${TMPDIR}/${TEST_NUM}-spamdyke.conf
echo "#header-blacklist-file=${TMPDIR}/${TEST_NUM}-headers.txt" >> ${TMPDIR}/${TEST_NUM}-spamdyke.conf

touch ${TMPDIR}/${TEST_NUM}-keywords.txt

cp input.txt ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --log-target stderr --dns-server-ip ${NAMESERVER_IP} -f ${TMPDIR}/${TEST_NUM}-spamdyke.conf ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --log-target stderr --dns-server-ip ${NAMESERVER_IP} -f ${TMPDIR}/${TEST_NUM}-spamdyke.conf ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "ERROR" ${TMPDIR}/${TEST_NUM}-output.txt`
if [ -z "${output}" ]
then
  outcome="success"
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
