# This test looks for a correct "reason:" entry on each line when multiple recipients are given.
# The third recipient has a configuration directory entry that overrides the global setting.
# That recipient should not get the same message as the others.

export TCPREMOTEIP=11.22.33.44

echo "44.33.22.11.in-addr.arpa PTR NORMAL 0 mail.example.com" > ${TMPDIR}/${TEST_NUM}-dns_config.txt
echo "mail.example.com A NORMAL 0 11.22.33.44" >> ${TMPDIR}/${TEST_NUM}-dns_config.txt

NAMESERVER_IP=127.0.0.1:`${DNSDUMMY_PATH} -t 30 -f ${TMPDIR}/${TEST_NUM}-dns_config.txt`

FQDN=example.com
mkdir -p ${TMPDIR}/${TEST_NUM}-blacklist.d/`${DOMAIN2PATH_PATH} -d ${FQDN}`
BLACKLIST_FILE=${TMPDIR}/${TEST_NUM}-blacklist.d/`${DOMAIN2PATH_PATH} ${FQDN}`
touch ${BLACKLIST_FILE}

mkdir -p ${TMPDIR}/${TEST_NUM}-config.d/_recipient_/com/bar/_at_
echo "rdns-blacklist-dir=!!!" > ${TMPDIR}/${TEST_NUM}-config.d/_recipient_/com/bar/_at_/foo

FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RANDOM}@example.com
TO_ADDRESS1=${RANDOM}.${RANDOM}.$1
TO_ADDRESS2=${RANDOM}.${RANDOM}.$1
TO_ADDRESS3=foo@bar.com

cat input.txt | sed -e "s/TARGET_EMAIL1/${TO_ADDRESS1}/g" -e "s/TARGET_EMAIL2/${TO_ADDRESS2}/g" -e "s/TARGET_EMAIL3/${TO_ADDRESS3}/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --log-target stderr -linfo --dns-server-ip ${NAMESERVER_IP} -b ${TMPDIR}/${TEST_NUM}-blacklist.d --config-dir ${TMPDIR}/${TEST_NUM}-config.d ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --log-target stderr -linfo --dns-server-ip ${NAMESERVER_IP} -b ${TMPDIR}/${TEST_NUM}-blacklist.d --config-dir ${TMPDIR}/${TEST_NUM}-config.d ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep -i "to: ${TO_ADDRESS1}" ${TMPDIR}/${TEST_NUM}-output.txt | grep "reason: ${BLACKLIST_FILE}"`
if [ ! -z "${output}" ]
then
  output=`grep -i "to: ${TO_ADDRESS2}" ${TMPDIR}/${TEST_NUM}-output.txt | grep "reason: ${BLACKLIST_FILE}"`
  if [ ! -z "${output}" ]
  then
    output=`grep -i "to: ${TO_ADDRESS3}" ${TMPDIR}/${TEST_NUM}-output.txt | grep "reason: ${BLACKLIST_FILE}"`
    if [ -z "${output}" ]
    then
      outcome="success"
    else
      echo Filter failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Filter failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
