# This test does not allow spamdyke to query for A records when trying
# to find an MX for a domain with multiple MXs where not all of them resolve to
# A records.  No rejection should be given.

export TCPREMOTEIP=11.22.33.44

echo "44.33.22.11.in-addr.arpa PTR NORMAL 0 mail.sender.test" > ${TMPDIR}/${TEST_NUM}-dns_config.txt
echo "valid.test MX NORMAL 0 mail1.valid.test" >> ${TMPDIR}/${TEST_NUM}-dns_config.txt
echo "valid.test MX NORMAL 0 mail2.valid.test" >> ${TMPDIR}/${TEST_NUM}-dns_config.txt
echo "mail2.valid.test A NORMAL 3 11.22.33.44" >> ${TMPDIR}/${TEST_NUM}-dns_config.txt

export NAMESERVER_IP=127.0.0.1:`${DNSDUMMY_PATH} -t 30 -f ${TMPDIR}/${TEST_NUM}-dns_config.txt`

FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RANDOM}@valid.test

echo "foo.com" > ${TMPDIR}/${TEST_NUM}-rcpthosts.txt

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --dns-server-ip ${NAMESERVER_IP} --dns-query-type-mx mx --dns-query-type-mx cname --qmail-rcpthosts-file ${TMPDIR}/${TEST_NUM}-rcpthosts.txt --reject-sender no-mx ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --dns-server-ip ${NAMESERVER_IP} --dns-query-type-mx mx --dns-query-type-mx cname --qmail-rcpthosts-file ${TMPDIR}/${TEST_NUM}-rcpthosts.txt --reject-sender no-mx ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt

output=`grep "421 Refused. The domain of your sender address has no mail exchanger (MX)." ${TMPDIR}/${TEST_NUM}-output.txt`
if [ -z "${output}" ]
then
  outcome="success"
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
