# This test configures and compiles spamdyke with excessive output and without the address sanitizer,
# then runs it with small soft limits and large hard limits

mkdir -p ${TMPDIR}/${TEST_NUM}-saved
cp ${SPAMDYKE_DIR}/Makefile ${SPAMDYKE_DIR}/config.h ${SPAMDYKE_DIR}/*.o ${SPAMDYKE_PATH} ${TMPDIR}/${TEST_NUM}-saved

pushd ${SPAMDYKE_DIR}
make distclean
echo "./configure --with-excessive-output > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
./configure --with-excessive-output > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1
echo "make >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
make >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1
popd

cp input.txt ${TMPDIR}/${TEST_NUM}-input.txt

if [ -x ${SPAMDYKE_PATH} ]
then
  echo "bash -c \"ulimit -Hd 100000000 -Hs 100000000 -Hv 100000000 -Sd 50000000 -Ss 50000000 -Sv 50000000; ${SPAMDYKE_PATH} --log-target stderr -lexcessive ${SMTPDUMMY_PATH} < ${TMPDIR}/${TEST_NUM}-input.txt >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1\""
  bash -c "ulimit -Hd 100000000 -Hs 100000000 -Hv 100000000 -Sd 50000000 -Ss 50000000 -Sv 50000000; ${SPAMDYKE_PATH} --log-target stderr -lexcessive ${SMTPDUMMY_PATH} < ${TMPDIR}/${TEST_NUM}-input.txt >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"

  output=`grep "address space hard limit is less than infinity, could lead to unexplainable crashes" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ -n "${output}" ]
  then
    output=`grep "data segment hard limit is less than infinity, could lead to unexplainable crashes" ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ -n "${output}" ]
    then
      output=`grep "stack size hard limit is less than infinity, could lead to unexplainable crashes" ${TMPDIR}/${TEST_NUM}-output.txt`
      if [ -n "${output}" ]
      then
        outcome="success"
      else
        echo Failure - tmp/${TEST_NUM}-output.txt:
        cat ${TMPDIR}/${TEST_NUM}-output.txt

        outcome="failure"
      fi
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi

cp ${TMPDIR}/${TEST_NUM}-saved/* ${SPAMDYKE_DIR}
